Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.bruteforce
Class DefaultBruteForceSolverPhase

    java.lang.Object
      org.drools.planner.core.phase.AbstractSolverPhase
          org.drools.planner.core.bruteforce.DefaultBruteForceSolverPhase

All Implemented Interfaces:
  EventListener, BruteForceSolverPhase, BruteForceSolverPhaseLifecycleListener, SolverPhaseLifecycleListener, SolverPhase, SolverLifecycleListener

    public class DefaultBruteForceSolverPhase

extends AbstractSolverPhase
implements BruteForceSolverPhase, BruteForceSolverPhaseLifecycleListener

Default implementation of `BruteForceSolverPhase`.

Field Summary
`protected BruteForceEntityWalker` | `bruteForceEntityWalker`

Fields inherited from class org.drools.planner.core.phase.AbstractSolverPhase
`bestSolutionRecaller, logger, solverPhaseLifecycleSupport, termination`

Constructor Summary
`DefaultBruteForceSolverPhase()`

Method Summary
`void` | `phaseEnded(BruteForceSolverPhaseScope phaseScope)`
`void` | `phaseStarted(BruteForceSolverPhaseScope phaseScope)`
`void` | `setBruteForceEntityWalker(BruteForceEntityWalker bruteForceEntityWalker)`
`void` | `solve(DefaultSolverScope solverScope)`
`void` | `solvingEnded(DefaultSolverScope solverScope)`
`void` | `solvingStarted(DefaultSolverScope solverScope)`
`void` | `stepEnded(BruteForceStepScope stepScope)`
`void` | `stepStarted(BruteForceStepScope stepScope)`

Methods inherited from class org.drools.planner.core.phase.AbstractSolverPhase
`addSolverPhaseLifecycleListener, getTermination, phaseEnded, phaseStarted, removeSolverPhaseLifecycleListener, setBestSolutionRecaller, setTermination, stepEnded, stepStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.planner.core.phase.SolverPhase
`addSolverPhaseLifecycleListener, removeSolverPhaseLifecycleListener`

Methods inherited from interface org.drools.planner.core.phase.event.SolverPhaseLifecycleListener
`phaseEnded, phaseStarted, stepEnded, stepStarted`

Field Detail

### bruteForceEntityWalker

    protected BruteForceEntityWalker bruteForceEntityWalker

Constructor Detail

### DefaultBruteForceSolverPhase

    public DefaultBruteForceSolverPhase()

Method Detail

### setBruteForceEntityWalker

    public void setBruteForceEntityWalker(BruteForceEntityWalker bruteForceEntityWalker)

### solve

    public void solve(DefaultSolverScope solverScope)

  Specified by:
    `solve` in interface `SolverPhase`

### solvingStarted

    public void solvingStarted(DefaultSolverScope solverScope)

  Specified by:
    `solvingStarted` in interface `SolverLifecycleListener`
  Overrides:
    `solvingStarted` in class `AbstractSolverPhase`

### phaseStarted

    public void phaseStarted(BruteForceSolverPhaseScope phaseScope)

  Specified by:
    `phaseStarted` in interface `BruteForceSolverPhaseLifecycleListener`

### stepStarted

    public void stepStarted(BruteForceStepScope stepScope)

### stepEnded

    public void stepEnded(BruteForceStepScope stepScope)

  Specified by:
    `stepEnded` in interface `BruteForceSolverPhaseLifecycleListener`

### phaseEnded

    public void phaseEnded(BruteForceSolverPhaseScope phaseScope)

  Specified by:
    `phaseEnded` in interface `BruteForceSolverPhaseLifecycleListener`

### solvingEnded

    public void solvingEnded(DefaultSolverScope solverScope)

  Specified by:
    `solvingEnded` in interface `SolverLifecycleListener`
  Overrides:
    `solvingEnded` in class `AbstractSolverPhase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.